# Namespace KTextEditor

Table of contents
Modules
ktexteditor Classes
All Classes

Module | ktexteditor
Namespace | KTextEditor

Internal

Cursor line Internal

Cursor column Internal

Range which owns this cursor, if any

### methods

- createPlugin (libname, parent)

  returns (KTextEditor.Plugin)

  Argument | Type | Default
  --- | --- | ---
  libname | char |
  parent | QObject |

  Create a plugin called libname with parent object parent. Returns the plugin or 0 if it could not be loaded

- editor (libname)

  returns (KTextEditor.Editor)

  Argument | Type | Default
  --- | --- | ---
  libname | char |

  Helper function for the EditorChooser. Usually you do not have to use this function. Instead, use KTextEditor.EditorChooser.editor().

  libname - library name, for example "katepart" Returns the Editor object on success, otherwise 0

  See also KTextEditor.EditorChooser.editor()